// SPDX-License-Identifier: MIT

function onCopyHandler(elem, tokenId) {
    if(navigator.clipboard) {
        navigator.clipboard.writeText(tokenId).then(
            () => {
                showFeedback(elem, '✔');
            },
            () => {
                showFeedback(elem, '⚠️');
        });
    } else {
        showFeedback(elem, '⚠️');
    }
}

function showFeedback(elem, msg) {
    setTimeout(function() {
        elem.innerText = msg;
    }, 100);

    setTimeout(function() {
        elem.innerText = '📋';
    }, 1000);
}
